# Flaschengeist


## Installation
### Requirements
- mysql or mariadb
- python 3.4+
### Install python files
    pip3 install --user .
or with ldap support

    pip3 install --user ".[ldap]"

### Configuration
1. Rename `flaschengeist.example.cfg` to `flaschengeist.cfg`
2. Move it to either
    1. the module path (where flaschegeist is installed)
    2. `~/.config/`
    3. A custom path and set environment variable `FLASCHENGEIST_CONF`
3. Change at least the database parameters

### Database installation
    run_flaschengeist --install

### Run
    run_flaschengeist
or with debug messages:

    run_flaschengeist --debug
